/* /Pages/Index.razor.rz.scp.css */
.page[b-s7qrrfca0g] {
    width: 100vw;
    height: 100vh;
    overflow: hidden;
    position: absolute;
}

.page-content[b-s7qrrfca0g] {
    margin-top: 50px;
    position: absolute;
    width: 100%;
    height: calc(100% - 50px);
}
.sidebar[b-s7qrrfca0g],
.sidebar-right[b-s7qrrfca0g] {
    /*height of the top bar*/
    height: calc(100vh - 3.125rem);
    background-color: lightgray !important;
    transition: left .3s, right .3s;
    padding: 10px 10px 0;
    position: absolute;
}

.sidebar-right[b-s7qrrfca0g] {
    right: 0;
}

.main-canvas[b-s7qrrfca0g] {
    height: 100%;
    position: absolute;
    width: 100%;
    z-index: 0;
}

.main-content[b-s7qrrfca0g] {
    flex-grow: 1;
    padding: 20px;
}

.toolbar[b-s7qrrfca0g] {
    display: flex;
    align-items: center;
    justify-content: space-between;
    background-color: #949494;
    color: black;
    height: 50px;
    width: 100%;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1000;
    padding: 0 20px;
    overflow-x: scroll;
    overflow-y: hidden;
}

.center-toolbar[b-s7qrrfca0g] {
    display: flex;
    align-items: center;
}

.toolbar-button[b-s7qrrfca0g] {
    background-color: #989494;
    color: black !important;
    border: none;
    padding: 10px 15px;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin: 0 5px;
    height: 10px;
    overflow-wrap: unset;
}

.toolbar-button:disabled[b-s7qrrfca0g] {
    opacity: 0.25;
    cursor: not-allowed;
    pointer-events: none;
}

.toolbar-button img[b-s7qrrfca0g] {
    margin-right: 10px;
}

.expand-button[b-s7qrrfca0g] {
    cursor: pointer;
    display: block;
    position: absolute;
    top: 50%;
    width: 60px;
    height: 30px;
    background-color: dodgerblue;
    transform: rotate(90deg);
    border-radius: 50rem 50rem 0 0;
    color: white;
    z-index: 10;
}

.expand-button-left[b-s7qrrfca0g] {
    left: 0;
    transform: translateX(-15px) rotate(90deg);
}

.expand-button-right[b-s7qrrfca0g] {
    right: 0;
    transform: translateX(15px) rotate(-90deg);
}

.expand-button span[b-s7qrrfca0g] {
    color: white;
    position: absolute;
    top: 60%;
    transform: translate(0, -50%);
}

.expand-button-left span[b-s7qrrfca0g] {
    left: 50%;
    transform: translate(-50%, -50%) rotate(90deg);
}

.expand-button-right span[b-s7qrrfca0g] {
    right: 50%;
    transform: translate(50%, -50%) rotate(90deg);
}

.logo-and-adarc[b-s7qrrfca0g] {
    flex-wrap: nowrap;
    display: flex;
    overflow: hidden;
}

.adarc-text[b-s7qrrfca0g] {
    font-size: 24px;
    margin: 0px 15px;
    position: relative;
    overflow: hidden;
}

.logo[b-s7qrrfca0g] {
    max-height: 35px;
    max-width: 35px;
    overflow: hidden;
    margin-right: 10px;

}

div[b-s7qrrfca0g], span[b-s7qrrfca0g] {
    user-select: none;
}

.zoom-bar-container[b-s7qrrfca0g] {
    display: flex;
    align-items: center;
    width: fit-content;
}

.zoom-bar[b-s7qrrfca0g] {
    min-width: 150px;
    width: auto;
    height: 10px;
    background-color: #ddd;
    position: relative;
    border-radius: 5px;
    overflow: hidden;
    margin: 0 10px;
}

.zoom-bar-handle[b-s7qrrfca0g] {
    width: 30px;
    height: 100%;
    cursor: grab;
    border-radius: 5px;
    font-size: 16px;
    color: black;
}

.zoom-button[b-s7qrrfca0g] {
    background-color: #989494;
    color: black !important;
    border: none;
    padding: 10px 15px;
    cursor: pointer;
}


.progress-container[b-s7qrrfca0g] {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 10px;
    background-color: #f1f1f1;
    z-index: 9999;

}

.progress-bar[b-s7qrrfca0g] {
    height: 100%;
    background-color: dodgerblue;
    z-index: 10000;
}

.toolbar-button[b-s7qrrfca0g] {
    flex-direction: row;

}

.rotate180[b-s7qrrfca0g] {
    transform: rotate(180deg);
}

.zoom-tooltip[b-s7qrrfca0g] {
    position: absolute;
    z-index: 999999;
    border-radius: 5px 5px 5px 5px;
    padding-left: 6px;
    padding-right: 3px;
    left: 37%;
    top: 55px;
    font-size: 14px;
}

.zoom-tooltip button[b-s7qrrfca0g] {
    background-color: white;
    border-radius: 5px 5px 5px 5px;
    border-color: transparent;
    transform: scale(80%);
    padding-left: 1px;
    padding-right: 1px;
    width: 60px;
}

.right-click-tooltip[b-s7qrrfca0g] {
    position: fixed;
    z-index: 1;
    border-radius: 5px 5px 5px 5px;
    padding-left: 6px;
    padding-right: 3px;
    padding-bottom: 5px;
    padding-top: 5px;
    bottom: 35px;
    left: 50%;
    transform: translateX(-50%);
    flex-wrap: wrap;
    justify-content: center;
    width: 550px;
    align-items: center;
    text-align: center;
}

.right-click-tooltip button[b-s7qrrfca0g] {
    background-color: white;
    border-radius: 5px 5px 5px 5px;
    border-color: transparent;
    transform: scale(80%);
    padding-left: 1px;
    padding-right: 1px;
    align-self: center;
    width: 80px;
}

/* hides X-axis scrollbar in toolbar, but it is still scrollable */
.toolbar[b-s7qrrfca0g]::-webkit-scrollbar {
    display: none;
}

.tooltip-icon-for-zoom[b-s7qrrfca0g] {
    width: 5%;
    height: 5%;
}


.workbench-title[b-s7qrrfca0g] {
    position: fixed;
    z-index: 1;
    padding-left: 6px;
    padding-right: 3px;
    padding-bottom: 5px;
    padding-top: 5px;
    bottom: 25px;
    left: 50%;
    transform: translateX(-50%);
    font-size: 20px;
}

.Import-Export[b-s7qrrfca0g] {
    display: flex;

}

/* Modal Backdrop */
.modal-backdrop[b-s7qrrfca0g] {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5); /* Semi-transparent black */
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 1000; /* Ensure it's above other content */
}

/* Modal Content */
.modal-content[b-s7qrrfca0g] {
    background-color: white;
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    max-width: 90%;
    max-height: 90%;
    overflow-y: auto;
    position: relative;
}

/* URL Modal Specific Styles */
.url-modal[b-s7qrrfca0g] {
    position: fixed;
    top: 10%; /* Adjust this value to position the modal vertically */
    left: 50%;
    transform: translateX(-50%);
    width: 450px;
    padding: 10px;
    background-color: white;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    border-radius: 8px;
    z-index: 1001;
    display: flex; /* Use flexbox to align items horizontally */
    justify-content: space-between; /* Space between input and button */
    align-items: center; /* Vertically center items */
    gap: 10px; /* Add spacing between input and button */
}

.url-textbox[b-s7qrrfca0g] {
    flex: 1; /* Allow the input to take up remaining space */
    padding: 8px;
    border: 1px solid #ccc;
    border-radius: 4px;
    font-size: 14px;
}

.copy-button[b-s7qrrfca0g] {
    height: auto !important;
    margin: 0 !important;
    padding: 8px 15px;
    display: flex;
    align-items: center;
    background-color: #f0f0f0; /* Light grey background */
    border: 1px solid #d0d0d0; /* Slightly darker grey border */
    border-radius: 4px; /* Rounded corners */
    transition: all 0.2s ease; /* Smooth transition for hover */
    cursor: pointer;
}

.copy-button:hover[b-s7qrrfca0g] {
    background-color: #e0e0e0; /* Darker grey on hover */
}

.copy-button:active[b-s7qrrfca0g] {
    background-color: #d0d0d0; /* Even darker when clicked */
    transform: scale(0.98); /* Slight scale effect when clicked */
}

/* Report Bug Modal Styles */
.report-bug-modal[b-s7qrrfca0g] {
    background-color: white;
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    width: 300px;
    text-align: center;
}

.report-bug-modal p[b-s7qrrfca0g] {
    margin-bottom: 20px;
    font-size: 16px;
}

.modal-buttons[b-s7qrrfca0g] {
    display: flex;
    justify-content: space-between;
    gap: 10px;
}

.no-button[b-s7qrrfca0g], .yes-button[b-s7qrrfca0g] {
    padding: 10px 20px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    font-size: 14px;
    transition: background-color 0.2s ease;
}

.no-button[b-s7qrrfca0g] {
    background-color: #ff4d4d; /* Red */
    color: white;
}

.no-button:hover[b-s7qrrfca0g] {
    background-color: #e60000; /* Darker red */
}

.yes-button[b-s7qrrfca0g] {
    background-color: #4CAF50; /* Green */
    color: white;
}

.yes-button:hover[b-s7qrrfca0g] {
    background-color: #45a049; /* Darker green */
}
/* /Shared/CodePane.razor.rz.scp.css */
.code-container[b-ve6qiki0tf] {
    display: flex;
    flex-direction: column;
    height: 100%; 
    width: 100%;
    padding: 0 10px 10px 10px;
    box-sizing: border-box;
    overflow: hidden; 
}

.code-container > span[b-ve6qiki0tf] {
    font-size: 20px;
    color: black;
    text-align: center;
    padding-bottom: 10px;
    flex-shrink: 0; 
}

.code-tooltip[b-ve6qiki0tf] {
    background-color: #ece1be;
    border-radius: 5px;
    font-size: 0.844rem;
    padding: 10px;
    margin-bottom: 10px;
    flex-shrink: 1; 
    overflow-y: auto;
    text-align: center;
}

.code-tooltip >button[b-ve6qiki0tf]{
    border-radius: 5px;
    border-color: transparent;
}

#editor-wrapper[b-ve6qiki0tf] {
    flex: 3; 
    overflow-y: hidden;
}

#console-container[b-ve6qiki0tf] {
    flex: 1.5; 
    border: 1px solid #ccc;
    background-color: #f4f4f4;
    padding: 10px;
    overflow-y: auto; 
    user-select: text;
    white-space: pre;
    box-sizing: border-box;
}

#button-row[b-ve6qiki0tf] {
    display: flex;
    justify-content: flex-end;
    padding: 0.5rem;
    flex-shrink: 0; 
}

#button-row button[b-ve6qiki0tf] {
    height: 1.5rem;
    display: flex;
    align-items: center;
    padding: 0 0.5rem;
    font-size: 1rem;
    border-radius: 5px;
}

.error[b-ve6qiki0tf] {
    color: orangered;
}

.auto[b-ve6qiki0tf] {
    color: inherit;
}

hr[b-ve6qiki0tf] {
    margin: 5px 0;
}
/* /Shared/ComponentCard.razor.rz.scp.css */
.card-container[b-1ylg6kr75c] {
    background-color: white;
    border-radius: 4.5px;
    width: 95%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-evenly;
    margin-bottom: 1%;
    aspect-ratio: 4/5;
    position: relative;
}

.card-img-container[b-1ylg6kr75c] {
    width: 75%;
    height: 65%;
    background-color: lightgray;
    margin-top: 5%;
    margin-left: 5%;
    margin-right: 5%;
    display: flex;
    justify-content: center;
    align-items: center;
}

    .card-img-container svg[b-1ylg6kr75c] {
        width: 100%;
        height: 100%;
    }


.card-name[b-1ylg6kr75c] {
    text-align: center;
    overflow-wrap: anywhere;
    color: black;
    padding: 1%;
    line-height: 1.1;
    height: fit-content;
}


.altContainer[b-1ylg6kr75c] {
    visibility: hidden;
    height: 100%;
    width: 100%;
    background-color: lightblue;
    opacity: 45%;
    position: absolute;
}


.card-container:hover > .altContainer[b-1ylg6kr75c] {
    visibility: visible;
}

.palette-right-click-container[b-1ylg6kr75c] {
    z-index: 9999999999999;
    font-size: 65%;
    margin-top: 16%;
    opacity: 100%;
    display: flex;
    background-color: lightgray;
    flex-direction: column;
    border-radius: 0.5rem 0.5rem 0.5rem 0.5rem;
    position: fixed;
    border-color: gray;
    border-style: solid;
    min-width: 95%;
    text-wrap: none;
    margin-right: 2.5%;
    margin-left: 2.5%;
}

.palette-right-click-container button[b-1ylg6kr75c] {
    background-color: transparent;
    border-color: transparent;
    padding: 5%;
    color: black;
    text-align: left;
    width: auto;
    white-space: normal;
    max-width: 100%;
    min-width: min-content;
    text-wrap: avoid;
}

.palette-right-click-container button:not(:last-child)[b-1ylg6kr75c] {
    border-bottom: 1px solid rgba(145, 145, 145, 0.3);
}
/* /Shared/ComponentPane.razor.rz.scp.css */
.comp-container[b-vtl0xvyh0e] {
    height: 100%;
    width: 100%;
    flex-direction: column;
    display: flex;
    background-color: lightgray;
    overflow-y: auto;
    overflow-x: hidden;
    padding: 3%;
}


.indent[b-vtl0xvyh0e] {
    margin-left: 5%;
    display: flex;
    flex-direction: column;
}

.card-wrapper[b-vtl0xvyh0e] {
    display: flex;
    flex-direction: column;
}

.directory-button[b-vtl0xvyh0e] {
    /*margin-top: 1%;*/
    border: none;
    display: flex;
    align-items: center;
}

.directory-button svg[b-vtl0xvyh0e] {
    margin-right: 3%;
}

/*.directory-button span {
    margin-right: 0;
}*/

.level-1[b-vtl0xvyh0e] {
    background-color: #56baf0;
    border-radius: 4px;
    margin-bottom: 7px;
}

.level-2[b-vtl0xvyh0e] {
    background-color: #7ecdf5;
    border-radius: 4px;
    margin-bottom: 7px;
}

.level-3[b-vtl0xvyh0e] {
    background-color: #94dbf5;
    border-radius: 4px;
    margin-bottom: 7px;
}

.col-layout[b-vtl0xvyh0e] {
    display: grid;
    grid-template-columns: 50% 50%;
    width: 100%;
    justify-items: center;
    margin-bottom: 7px;
}


.icon[b-vtl0xvyh0e] {
}

.palette-tooltip[b-vtl0xvyh0e] {
    border-radius: 5px;
    flex-wrap: wrap;
    justify-content: center;
    text-align: start;
    width: 100%;
    position: static;
    margin-bottom: 18px;
    font-size: 0.844rem;
    padding: 5px 5%;
    display: flex;
    flex-direction:column;
}

.palette-tooltip button[b-vtl0xvyh0e] {
    background-color: white;
    border-radius: 5px 5px 5px 5px;
    margin-top: 5px;
    margin-bottom: 5px;
    padding-left: 1px;
    padding-right: 1px;
    border-color: transparent;
    justify-self: center;
    transform: scale(100%);
    width: 80px;
    align-self: center;
    text-align: center;
}

.palette-tooltip label[b-vtl0xvyh0e] {
    margin-bottom: 5px;
    text-align: center;
}
/* /Shared/Components/RazorArduinoMega.razor.rz.scp.css */
text[b-qr4y3v1db0] {
    font-size: 2px;
    font-family: monospace;
}

circle[tabindex]:hover[b-qr4y3v1db0],
circle[tabindex]:focus[b-qr4y3v1db0] {
    stroke: white;
    outline: none;
}
/* /Shared/Components/RazorArduinoUno.razor.rz.scp.css */
text[b-ufx6tdh0za] {
    font-size: 2px;
    font-family: monospace;
    user-select: none;
}

circle[tabindex]:hover[b-ufx6tdh0za],
circle[tabindex]:focus[b-ufx6tdh0za] {
    stroke: white;
    outline: none;
}
/* /Shared/Components/RazorLCD1602I2C.razor.rz.scp.css */
.cursor-blink[b-df7kij8sd3] {
    animation: cursor-blink-b-df7kij8sd3;
}

@keyframes cursor-blink-b-df7kij8sd3 {
    from {
        opacity: 0;
    }

    25% {
        opacity: 1;
    }

    75% {
        opacity: 1;
    }

    to {
        opacity: 0;
    }
}
/* /Shared/Components/RazorLED.razor.rz.scp.css */
:host[b-yujmvu4a9a] {
    display: inline-block;
}

.led-container[b-yujmvu4a9a] {
    display: flex;
    flex-direction: column;
    width: 40px;
    /*position: absolute;*/
}

.led-label[b-yujmvu4a9a] {
    font-size: 10px;
    text-align: center;
    color: gray;
    position: relative;
    line-height: 1;
    top: -8px;
}
/* /Shared/Components/RazorResistor.razor.rz.scp.css */
:host[b-4uk4yzfe1d] {
    display: flex;
}
/* /Shared/Components/RazorSevenSeg.razor.rz.scp.css */
polygon[b-41q8yj9qd7] {
    transform: scale(0.9);
    transform-origin: 50% 50%;
    transform-box: fill-box;
}
/* /Shared/Components/VaryingComponent.razor.rz.scp.css */
.comp-wrapper[b-i2jr7w3d23] {
    padding: 25px;
    display: flex;
    position: absolute;
}

.a-border[b-i2jr7w3d23] {
    background-image: linear-gradient(90deg, gray 50%, gray 50%), linear-gradient(90deg, gray 50%, gray 50%), linear-gradient(0deg, gray 50%, gray 50%), linear-gradient(0deg, gray 50%, gray 50%);
    background-repeat: repeat-x, repeat-x, repeat-y, repeat-y;
    background-size: 15px 2px, 15px 2px, 2px 15px, 2px 15px;
    background-position: left top, right bottom, left bottom, right top;
}

.b-border[b-i2jr7w3d23] {
    background-image: linear-gradient(90deg, gray 50%, transparent 50%), linear-gradient(90deg, gray 50%, transparent 50%), linear-gradient(0deg, gray 50%, transparent 50%), linear-gradient(0deg, gray 50%, transparent 50%);
    background-repeat: repeat-x, repeat-x, repeat-y, repeat-y;
    background-size: 15px 2px, 15px 2px, 2px 15px, 2px 15px;
    background-position: left top, right bottom, left bottom, right top;
    animation: border-dance-b-i2jr7w3d23 1s infinite linear;
}

.error-border[b-i2jr7w3d23] {
    background-image: linear-gradient(90deg, red 50%, transparent 50%), linear-gradient(90deg, red 50%, transparent 50%), linear-gradient(0deg, red 50%, transparent 50%), linear-gradient(0deg, red 50%, transparent 50%);
    background-repeat: repeat-x, repeat-x, repeat-y, repeat-y;
    background-size: 15px 2px, 15px 2px, 2px 15px, 2px 15px;
    background-position: left top, right bottom, left bottom, right top;
    animation: border-dance-b-i2jr7w3d23 1s infinite linear;
}

@keyframes border-dance-b-i2jr7w3d23 {
    0% {
        background-position: left top, right bottom, left bottom, right top;
    }

    100% {
        background-position: left 15px top, right 15px bottom, left bottom 15px, right top 15px;
    }
}

.settingsContainer[b-i2jr7w3d23] {
    flex-direction: column;
    align-items: center;
    text-align: center;
    justify-content: center;
    background-color: lightgray;
    padding: 5px;
    max-height: 450px; /* Max height for scrollable container, adjusting later to fit around 3 settings */
    min-width: 250px;
    overflow-y: auto;
    border-radius: 1rem 1rem 1rem 1rem;
    font-size: 15px;
    object-fit: contain;
    display: inline-block;
    margin-top: 0;
}

.EnvironmentalSettingsClass[b-i2jr7w3d23] {
    position: absolute;
    width: 250px;
    z-index: 1000000;
    height: min-content;
}

.settingsContainer h2[b-i2jr7w3d23]{
    font-size: 19px;
    flex-direction: row;
    padding-top: 1px;
    overflow-y: scroll;
    text-align: left;
    padding-left: 15px;
    overflow-y: auto;
}

.valueSetting h2[b-i2jr7w3d23], .dropdownSetting h2[b-i2jr7w3d23] {
    font-size: 20px;
    text-align: center;
    padding-left: 0px; /* leave this since parent has difference padding-left */
}

.valueSetting[b-i2jr7w3d23] {
    background-color: #badbf1;
    border-radius: 1rem 1rem 1rem 1rem;
    display: flex;
    flex-direction: column;
    flex: 1;
}

.settingGroup[b-i2jr7w3d23] {
    background-color: #badbf1;
    border-radius: 1rem 1rem 1rem 1rem;
    margin-bottom: 7px;
    padding: 10px 0;
}

.dropdownSetting[b-i2jr7w3d23] {
    background-color: #badbf1;
    border-radius: 1rem 1rem 1rem 1rem;
    margin-bottom: 7px;
}

.min-max-values[b-i2jr7w3d23] {
    padding-bottom: 2px;
}

.close-button[b-i2jr7w3d23] {
    border-radius: 1rem 1rem 1rem 1rem;
    background-color: transparent;
    border: transparent;
    font-size: 15px;
}

.comp-menu[b-i2jr7w3d23] {
    display: flex;
    flex-direction: row;
    gap: 10px;
}

.right-click-container[b-i2jr7w3d23] {
    z-index: 99999999999999999999;
    display: flex;
    flex-direction: column;
    background-color: lightgray;
    border-radius: 1rem 1rem 1rem 1rem;
    position: absolute;
    max-width: fit-content;
    justify-content: left;
    margin-left: 5px;
    margin-right: 5px;
    align-items: flex-start;
    min-width: fit-content;
    border-color: gray;
    border-style: solid;
    text-align: left;
}

.right-click-container button[b-i2jr7w3d23] {
    background-color: transparent;
    border-color: transparent;
    justify-content: flex-start;
    align-items: flex-start;
    max-width: 100%;
    padding-right: 5px;
    padding-left: 5px;
    padding-top: 5px;
    padding-bottom: 5px;
    margin-right: 5px;
    color: black;
    text-align: left;
    min-width: fit-content;
    white-space: nowrap;
    display: flex;
    text-align-all: start;
}

.right-click-container button:not(:last-child)[b-i2jr7w3d23] {
    border-bottom: 1px solid rgba(145, 145, 145, 0.3); }
/* /Shared/EnvironmentalSettings/KY022Settings.razor.rz.scp.css */
button[b-d8hm08gh7m] {
    position: relative;
    border-radius: max(100%, 100%);
    height: 30px;
    width: 30px;
    font-weight: bold;
}

div.remote[b-d8hm08gh7m] {
    background: linear-gradient(145deg, #2a2a2a, #1b1b1b);
    border-radius: 1rem;
    padding: 1rem;
    box-shadow: 4px 4px 10px rgba(0, 0, 0, 0.7), -4px -4px 10px rgba(50, 50, 50, 0.5);
    position: relative;
}

div.remote div[b-d8hm08gh7m] {
    display: flex;
    justify-content: space-evenly;
}

.red[b-d8hm08gh7m] {
    background-color: indianred;
}

.blue[b-d8hm08gh7m] {
    background-color: deepskyblue;
}

div.remote button:hover[b-d8hm08gh7m]::after {
    content: attr(data-tooltip);
    position: absolute;
    background-color: rgba(0, 0, 0, 0.7);
    color: white;
    padding: 5px;
    border-radius: 5px;
    white-space: nowrap;
    font-size: 14px;
    z-index: 1000000;
}

div.remote button[data-tooltip-position="top"]:hover[b-d8hm08gh7m]::after {
    bottom: 100%;
    left: 50%;
    transform: translateX(-50%);
}

div.remote button[data-tooltip-position="bottom"]:hover[b-d8hm08gh7m]::after {
    top: 100%;
    left: 50%;
    transform: translateX(-50%);
}

div.remote button[data-tooltip-position="left"]:hover[b-d8hm08gh7m]::after {
    right: 100%;
    top: 50%;
    transform: translateY(-50%);
}

div.remote button[data-tooltip-position="right"]:hover[b-d8hm08gh7m]::after {
    left: 100%;
    top: 50%;
    transform: translateY(-50%);
}
/* /Shared/MainCanvas.razor.rz.scp.css */
.canvas-container[b-9ycb6eis6j] {
    width: 100%;
    height: 100%;
    display: grid;
    grid-template-columns: 33% 33% 33%;
}

svg[b-9ycb6eis6j] {
    top: 0;
    left: 0;
    position: absolute;
    pointer-events: none;
}

line[b-9ycb6eis6j] {
    z-index: 50;
}

.segment[b-9ycb6eis6j], .node[b-9ycb6eis6j] {
    transition: stroke-width 0.2s ease, filter 0.2s ease;
}

.segment.highlighted[b-9ycb6eis6j], .node.highlighted[b-9ycb6eis6j] {
    z-index: 5;
    stroke-width: 4px !important;
    filter: drop-shadow(0px 0px 3px white);
}

/* /Shared/MainLayout.razor.rz.scp.css */
body[b-8rp2ts1m1k] {
    overflow: hidden;
}


article[b-8rp2ts1m1k] {
    height:100%;
    overflow:hidden;
}

.sidebar[b-8rp2ts1m1k] {
    background-image: linear-gradient(180deg, rgb(5, 39, 103) 0%, #3a0647 70%);
}


    .top-row[b-8rp2ts1m1k] {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }
/* /Shared/UIComponents/BoardSelect.razor.rz.scp.css */
button[b-k25kxdnajs] {
    width: 140px;
    padding: 5px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    border-radius: 5px;
}

h2[b-k25kxdnajs] {
    font-size: 16px;
    text-align: center;
    font-weight: bold;
    margin-bottom: 0;
}
/* /Shared/UIComponents/ExampleSelect.razor.rz.scp.css */
.container[b-yadokge0o4] {
    background-color: #fff;
    border: 1px solid #ccc;
    border-radius: 4px;
}
/* /Shared/UIComponents/Modal.razor.rz.scp.css */
.modal-backdrop[b-7y2cvdtxl5] {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.1);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 1000;
}
/* /Shared/UIComponents/Toast.razor.rz.scp.css */
div[b-rb4m11503j] {
    border-radius: 5px;
    position: relative;
    left: 10%;
    margin-top: 5px;
    top: 50%;
    transform: translate(-50%, -50%);
    display: flex;
    gap: 10px;
    padding: 5px 10px;
    justify-content: center;
    align-items: center;
    border-style: solid;
    border-width: 2px;
    background-color: hsl(198deg 64.52% 87.84%);
    color: hsl(204.83deg 41.63% 40.98%);
    border-color: hsl(204.83deg 41.63% 40.98%);
    transition: opacity 0.5s ease, transform 0.5s ease;
    opacity: 1;
}

div.fade-out[b-rb4m11503j] {
    opacity: 0;
    transform: translateY(20px);
}

svg[b-rb4m11503j] {
    width: 2rem;
}

div.error[b-rb4m11503j] {
    background-color: #ebc8c4;
    color: #ae2e28;
    border-color: #c49797;
}

div.warning[b-rb4m11503j] {
    background-color: hsl(51.18deg 70.83% 90.59%);
    color: hsl(39.29deg 43.3% 38.04%);
    border-color: hsl(39.29deg 43.3% 38.04%);
}

p[b-rb4m11503j] {
    margin: 0;
    line-height: 1.5;
}

button[b-rb4m11503j] {
    font-weight: bold;
    background-color: transparent;
    border: none;
    vertical-align: middle;
    margin-left: 5px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    line-height: 1.5;
    margin-top: 2px;
    color: hsl(200.87deg 37.1% 75.69%);
}

button.error[b-rb4m11503j] {
    color: #c49797;
}

button.warning[b-rb4m11503j] {
    color: hsl(37.02deg 47.47% 38.82%);
}

.fade-out[b-rb4m11503j] {
    opacity: 0;
    transition: opacity 1s ease-in-out;
}

.hidden[b-rb4m11503j] {
    display: none;
}
